Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class InvokeTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.InvokeTag

All Implemented Interfaces:
  Tag, ArgTagParent

    public class InvokeTag

extends TagSupport
implements ArgTagParent

A tag which calls a method in an object instantied by core:new

Version:
  $Revision: 155420 $
Author:
  Rodney Waldhoff

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`InvokeTag()`

Method Summary
`void` | `addArgument(java.lang.Class type, java.lang.Object value)`
`void` | `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` | `setExceptionVar(java.lang.String var)` Sets the name of a variable that exports the exception thrown by the method's invocation (if any)
`void` | `setMethod(java.lang.String method)`
`void` | `setOn(java.lang.Object instance)`
`void` | `setVar(java.lang.String var)` Sets the name of the variable exported by this tag

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokeTag

    public InvokeTag()

Method Detail

### setVar

    public void setVar(java.lang.String var)

  Sets the name of the variable exported by this tag

### setExceptionVar

    public void setExceptionVar(java.lang.String var)

  Sets the name of a variable that exports the exception thrown by the method's invocation (if any)

### setMethod

    public void setMethod(java.lang.String method)

### setOn

    public void setOn(java.lang.Object instance)

### addArgument

    public void addArgument(java.lang.Class type,
                            java.lang.Object value)

  Specified by:
    `addArgument` in interface `ArgTagParent`

### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Specified by:
    `doTag` in interface `Tag`
  Throws:
    `MissingAttributeException`
    `JellyTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.